import 'package:flutter/material.dart';
import 'package:zhiying_base_widget/widgets/home_goods/home_goods.dart';
import 'package:zhiying_base_widget/widgets/home_goods/home_goods_header.dart';
import 'package:zhiying_base_widget/widgets/home_goods/skeleton/home_goods_header_sk.dart';
import 'package:zhiying_base_widget/widgets/home_goods/skeleton/home_goods_sk.dart';
import 'package:zhiying_comm/zhiying_comm.dart';
import 'package:event_bus/event_bus.dart';

class GoodsListCreater extends WidgetCreater {
  @override
  List<Widget> createWidgets(Map<String, dynamic> model) {
    
    EventBus eventBus = EventBus();
    return [
      SliverPersistentHeader(
      pinned: true,
      floating: false,
      delegate: HomeGoodsDelegate(),
    ),
      SliverToBoxAdapter(
      child: HomeGoods(),
    ),
    ];
  }

  @override
  List<Widget> createSkeleton(Map<String, dynamic> model) {
    return [
      SliverPersistentHeader(
      pinned: true,
      floating: false,
      delegate: HomeGoodsHeaderSkeletonDelegate(),
    ),
      SliverToBoxAdapter(
      child: HomeGoodsSkeleton(),
    ),
    ];
  }


  @override
  bool isSliverChild() {
    return true;
  }
}
